Custom Field
A custom field allows you to create a customized field to track extra characteristics and attributes of a record. Custom field object allows you to perform the following operations:
- Retrieve a specific custom field or a list of custom fields
- Create a custom field
- Update a custom field
- Delete a custom field
- cURL
- NODE.JS
- PHP
- C#
- PYTHON
- JAVA
The Custom Field Object
asterisk denotes required| Name | Description | Format | Attributes |
|---|---|---|---|
| label | Name of the custom field | string | MaxLength = 50 Filterable, Sortable |
| createdById | Identifier of the user who created this object | uuid | Filterable |
| createdOn | Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time | Filterable, Sortable |
| customListId | Identifier of the linked custom list if the custom field is of type drop-down | uuid | |
| definitionId | Identifier of the custom field assigned to a module | uuid | Filterable |
| description | Represents the description of the custom field | string | MaxLength = 100 |
| id | Object identifier | uuid | Filterable |
| lastUpdated | Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time | Filterable, Sortable |
| lastUpdatedById | Identifier of the user who last updated this object | uuid | Filterable |
| length | Number of characters allowed in a custom field | int32 | |
| module | Represents the module to which a custom field can be assigned, e.g., activity, client, employee, etc. | CustomFieldModule Enumerated type: Click to see possible values and their descriptions. | Filterable |
| objectState | Represents the state of the object. e.g., new, unchanged, modified or deleted | ObjectState Enumerated type: Click to see possible values and their descriptions. | |
| token | Represents the token for update operations | int32 | |
| type | Represents the data type of custom field, e.g., text, date, etc. | CustomFieldType Enumerated type: Click to see possible values and their descriptions. | |
| version | Implements concurrency on this object | byte |
Custom Field List
Use this method to retrieve a list of custom fields. You can optionally pass where, orderBy, and page as query parameters to filter the result. Use the fields parameter to request a subset of the model. By default, a complete model is returned.
Request URL
Method Overview
HTTP Method:
GET
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
read:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| fields | Query | Specifies the model properties you want in the response body | string |
| where | Query | Specifies only those records that match an expression in the query | string |
| orderBy | Query | Specifies the order of the records | string |
| page | Query | Specifies the page number and number of records on each page | string |
| expand | Query | string |
Response Body
| Name | Description | Format |
|---|---|---|
| label | Name of the custom field | string |
| createdById | Identifier of the user who created this object | uuid |
| createdOn | Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| customListId | Identifier of the linked custom list if the custom field is of type drop-down | uuid |
| definitionId | Identifier of the custom field assigned to a module | uuid |
| description | Represents the description of the custom field | string |
| id | Object identifier | uuid |
| lastUpdated | Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| lastUpdatedById | Identifier of the user who last updated this object | uuid |
| length | Number of characters allowed in a custom field | int32 |
| module | Represents the module to which a custom field can be assigned, e.g., activity, client, employee, etc. | CustomFieldModuleEnumerated type: Click to see possible values and their descriptions. |
| objectState | Represents the state of the object. e.g., new, unchanged, modified or deleted | ObjectStateEnumerated type: Click to see possible values and their descriptions. |
| token | Represents the token for update operations | int32 |
| type | Represents the data type of custom field, e.g., text, date, etc. | CustomFieldTypeEnumerated type: Click to see possible values and their descriptions. |
| version | Implements concurrency on this object | byte |
[
{
"label": "label",
"createdById": "ab2028a3-68ed-4ccb-acdd-71c24bf150e4",
"createdOn": "2026-10-22T06:10:33Z",
"customListId": "d7562da6-ee68-4a32-9e83-3ff36c4cde2d",
"definitionId": "e5905e61-bd66-42c1-8807-2bbbf1a0c85c",
"description": "AssignedCustomField Description",
"id": "aedeb3e1-e4d4-4f3c-aefb-4520bebeed13",
"lastUpdated": "2026-10-22T06:10:33Z",
"lastUpdatedById": "c678333a-27cd-47d1-8325-3d652cffda2d",
"length": 0,
"module": null,
"objectState": null,
"token": 0,
"type": null,
"version": "U3dhZ2dlciByb2Nrcw=="
}
]Retrieve a Custom Field
Use this method to retrieve a specific custom field. Pass id as the parameter.
Request URL
Method Overview
HTTP Method:
GET
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
read:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| id | Path | Custom field identifier | string |
Response Body
| Name | Description | Format |
|---|---|---|
| label | Name of the custom field | string |
| createdById | Identifier of the user who created this object | uuid |
| createdOn | Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| customListId | Identifier of the linked custom list if the custom field is of type drop-down | uuid |
| description | Represents the description of the custom field | string |
| id | Object identifier | uuid |
| lastUpdated | Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| lastUpdatedById | Identifier of the user who last updated this object | uuid |
| length | Number of characters allowed in a custom field | int32 |
| objectState | Represents the state of the object. e.g., new, unchanged, modified or deleted | ObjectStateEnumerated type: Click to see possible values and their descriptions. |
| token | Represents the token for update operations | int32 |
| type | Represents the data type of custom field, e.g., text, date, etc. | CustomFieldTypeEnumerated type: Click to see possible values and their descriptions. |
| version | Implements concurrency on this object | byte |
{
"label": "label",
"createdById": "f49c5f0e-57cb-4b55-92d5-e2d830d8792c",
"createdOn": "2026-10-22T06:10:33Z",
"customListId": "4c30a415-0d01-4842-8aa1-0213fa3095d7",
"description": "CustomField Description",
"id": "9ee55da2-badc-4d15-a1bf-3210d52a7d6e",
"lastUpdated": "2026-10-22T06:10:33Z",
"lastUpdatedById": "a632eb48-7c8d-4ece-9d10-0e43761cb240",
"length": 0,
"objectState": null,
"token": 0,
"type": null,
"version": "U3dhZ2dlciByb2Nrcw=="
}Create a Custom Field
Use this method to save a custom field. Pass custom field as the parameter.
Request URL
Method Overview
HTTP Method:
POST
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| body | Body | Custom field object | CustomField |
Response Body
| Name | Description | Format |
|---|---|---|
| label | Name of the custom field | string |
| createdById | Identifier of the user who created this object | uuid |
| createdOn | Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| customListId | Identifier of the linked custom list if the custom field is of type drop-down | uuid |
| description | Represents the description of the custom field | string |
| id | Object identifier | uuid |
| lastUpdated | Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| lastUpdatedById | Identifier of the user who last updated this object | uuid |
| length | Number of characters allowed in a custom field | int32 |
| objectState | Represents the state of the object. e.g., new, unchanged, modified or deleted | ObjectStateEnumerated type: Click to see possible values and their descriptions. |
| token | Represents the token for update operations | int32 |
| type | Represents the data type of custom field, e.g., text, date, etc. | CustomFieldTypeEnumerated type: Click to see possible values and their descriptions. |
| version | Implements concurrency on this object | byte |
{
"label": "label",
"createdById": "ec973f51-4362-43c8-8eb0-87c50c933cbc",
"createdOn": "2026-10-22T06:10:33Z",
"customListId": "c5089c9b-6184-486b-b98f-afc951997644",
"description": "CustomField Description",
"id": "a582cd15-ad43-4b62-aa46-12765cc62e83",
"lastUpdated": "2026-10-22T06:10:33Z",
"lastUpdatedById": "87a709a5-9311-48dc-8be8-7aa5d161d680",
"length": 0,
"objectState": null,
"token": 0,
"type": null,
"version": "U3dhZ2dlciByb2Nrcw=="
}Create a Custom Field List
Use this method to save multiple custom fields. Pass model as the parameter.
As saving multiple records in a batch takes time, this endpoint returns a Job object that shows the progress of the batch operation. To check the status of the operation at any time, use the job endpoint.
Request URL
Method Overview
HTTP Method:
POST
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| body | Body | Custom field object | CustomFieldBatchRequest |
Response Body
| Name | Description | Format |
|---|---|---|
| batchSize | Represents the number of entities in a batch | int64 |
| createdById | Identifier of the user who created this object | uuid |
| createdOn | Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| id | Object identifier | uuid |
| lastUpdated | Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| lastUpdatedById | Identifier of the user who last updated this object | uuid |
| objectState | Represents the state of the object. e.g., new, unchanged, modified or deleted | ObjectStateEnumerated type: Click to see possible values and their descriptions. |
| progress | Represents the total number of entities processed | int64 |
| status | Represents the status of a job e.g., ready, running, completed, or terminated | string |
| token | Represents the token for update operations | int32 |
| type | Represents the type of a job e.g., create, update, or delete | string |
| version | Implements concurrency on this object | byte |
{
"batchSize": 0,
"createdById": "5fd024ae-8da4-4aaa-9dd3-b6937a36336e",
"createdOn": "2026-10-22T06:10:33Z",
"id": "69f7b907-c1f6-4a6a-82e7-04312c6b2c98",
"lastUpdated": "2026-10-22T06:10:33Z",
"lastUpdatedById": "cb457d06-6692-4445-ad21-4dff57fe1d42",
"objectState": null,
"progress": 0,
"status": "status",
"token": 0,
"type": "type",
"version": "U3dhZ2dlciByb2Nrcw=="
}Create a Custom Field Assign
Use this method to assign multiple custom fields to a module.
Request URL
Method Overview
HTTP Method:
POST
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| body | Body | Custom field object | AssignCustomField |
Create a Custom Field Unassign
Use this method to remove a custom field from a module.
Request URL
Method Overview
HTTP Method:
POST
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| body | Body | Custom field object | UnAssignCustomField |
Update a Custom Field
Use this method to update a specific custom field. Pass id as the parameter.
Request URL
Method Overview
HTTP Method:
PUT
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| id | Path | Custom field identifier | string |
| body | Body | Custom field object | CustomField |
Response Body
| Name | Description | Format |
|---|
{
"label": "label",
"createdById": "f52290ab-bc06-43d5-8c47-3f6b8feeaaf7",
"createdOn": "2026-10-22T06:10:33Z",
"customListId": "6d00701e-0792-4c6c-8985-2577aeb48212",
"description": "CustomField Description",
"id": "97cf2beb-bfe4-496c-abe8-7d35f99c10fa",
"lastUpdated": "2026-10-22T06:10:33Z",
"lastUpdatedById": "69c4f486-f080-4ddc-87f7-bdd169ddadb3",
"length": 0,
"objectState": null,
"token": 0,
"type": null,
"version": "U3dhZ2dlciByb2Nrcw=="
}Delete a Custom Field
Use this method to delete a custom field. Pass id as the parameter. You can only delete a custom field if it is not assigned to any module.
Request URL
Method Overview
HTTP Method:
DELETE
Content Type:
application/json
Response Format:
N/A
Requires Authentication?
Yes
Headers:
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| id | Path | Custom field identifier | string |
Patch a Custom Field
Use this method to perform partial modifications to a custom field. Pass id and patch document as parameters.
Request URL
Method Overview
HTTP Method:
PATCH
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| id | Path | Custom field identifier | string |
| body | Body | A document containing an array of objects with each object representing a single operation | CustomFieldPatchDocument |
Response Body
| Name | Description | Format |
|---|